Update Squid Chain
curl --request PATCH \
--url https://api.lobstr.io/v1/squids/{id}/chain \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"autostart": true,
"cluster_name": "<string>",
"cluster_concurrency": 123
}
'import requests
url = "https://api.lobstr.io/v1/squids/{id}/chain"
payload = {
"autostart": True,
"cluster_name": "<string>",
"cluster_concurrency": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({autostart: true, cluster_name: '<string>', cluster_concurrency: 123})
};
fetch('https://api.lobstr.io/v1/squids/{id}/chain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Squid
Update Squid Chain
Update the chain configuration for a squid
PATCH
/
v1
/
squids
/
{id}
/
chain
Update Squid Chain
Updates settings on an existing chain configuration. Only the fields you include in the request body are updated.
If the target squid has already been created by a previous chain trigger, updating
cluster_concurrency will apply the new value to that squid immediately.Path Parameters
string
required
Hash ID of the source squid. Example:
"e86b29c032024b66aff529e1d43c2bd7"Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEYstring
required
Must be application/json. Value:
application/jsonRequest Body
boolean
Whether downstream runs start automatically on task queue.
string
Update the name of the target squid.
integer
Update the concurrency of the target squid.
Code Examples
curl -X PATCH "https://api.lobstr.io/v1/squids/e86b29c032024b66aff529e1d43c2bd7/chain" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"autostart": false,
"cluster_concurrency": 5
}'
import requests
url = "https://api.lobstr.io/v1/squids/e86b29c032024b66aff529e1d43c2bd7/chain"
headers = {
"Authorization": "Token YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"autostart": False,
"cluster_concurrency": 5
}
response = requests.patch(url, headers=headers, json=payload)
print(response.json())
Response
200
{
"id": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
"target_module": {
"id": "9a3f1c8b2e7d4a56f0e1b2c3d4e5f678",
"public_name": "Google Maps Reviews Scraper",
"name": "googlemapreviews_matrix",
"max_concurrency": 10
},
"target_cluster": {
"id": "f7e8d9c0b1a2f7e8d9c0b1a2f7e8d9c0",
"hash_value": "f7e8d9c0b1a2f7e8d9c0b1a2f7e8d9c0",
"name": "Reviews (chained)"
},
"field_map": {"url": "url"},
"is_active": true,
"autostart": false,
"cluster_name": "Reviews (chained)",
"cluster_concurrency": 5,
"created_at": "2026-04-28T10:00:00Z"
}
404
{
"error": "No chain configured on this squid."
}
⌘I